<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetLocalPath Method (IEdmFile5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : GetLocalPath Method (IEdmFile5)

Visual Basic
C#
C++/CLI

lParentFolderID
  ID of parent folder (see Remarks)

Gets the full path to this file in the specified parent folder.

# Syntax

Visual Basic |
--- | ---

    Function GetLocalPath( _
       ByVal lParentFolderID As System.Integer _
    ) As System.String

C# |
--- | ---

    System.string GetLocalPath(
       System.int lParentFolderID
    )

C++/CLI |
--- | ---

    System.String^ GetLocalPath(
    &   System.int lParentFolderID
    )

#### Parameters

lParentFolderID
  ID of parent folder (see Remarks)

#### Return Value

Full path to this file in the parent folder

# Example

Get File Information (VB.NET)
Get File Information (C#)

# Remarks

This method does not verify the existence of the file in lParentFolderID. It only concatenates the path of the specified folder and this file's name.

You can obtain all of the parent folders of this file by calling IEdmFile5::GetFirstFolderPosition and IEdmFile5::GetNextFolder.

C++ users not using bstr_t wrapper functions must free the returned string with a call to SysFreeString.

See Return Codes for the complete list of potential success and error codes. The following are just a few examples:

- S_OK: The method successfully executed.
- E_EDM_FOLDER_NOT_FOUND: The folder ID is invalid.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members
IEdmFolder5::LocalPath Property ()

# Availability

SOLIDWORKS PDM Professional Version 5.2